BasicBorders.ToggleButtonBorder (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.basic.BasicBorders.ToggleButtonBorder class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicBorders.ToggleButtonBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.ButtonBorder
    - - javax.swing.plaf.basic.BasicBorders.ToggleButtonBorder

- All Implemented Interfaces:
    `Serializable`, `Border`, `UIResource`
  Enclosing class:
    BasicBorders

      public static class BasicBorders.ToggleButtonBorder
      extends BasicBorders.ButtonBorder

  Draws the border around a toggle button.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicBorders.ButtonBorder

      `darkShadow, highlight, lightHighlight, shadow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ToggleButtonBorder​(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)` | Constructs a new instance of a `ToggleButtonBorder`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Insets` | `getBorderInsets​(Component c, Insets insets)` | Reinitializes the insets parameter with this Border's current Insets.
    `void` | `paintBorder​(Component c, Graphics g, int x, int y, int width, int height)` | This default implementation does no painting.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToggleButtonBorder

          public ToggleButtonBorder​(Color shadow,
                                    Color darkShadow,
                                    Color highlight,
                                    Color lightHighlight)

      Constructs a new instance of a `ToggleButtonBorder`.
      Parameters:
        `shadow` - a color of shadow
        `darkShadow` - a color of dark shadow
        `highlight` - a color of highlight
        `lightHighlight` - a color of light highlight

  - ### Method Detail

    - #### paintBorder

          public void paintBorder​(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `BasicBorders.ButtonBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `width` - the width of the painted border
        `height` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets​(Component c,
                                        Insets insets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `BasicBorders.ButtonBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object